Skip to main content
GET
/
commerce
/
orders
/
{orderId}
/
payments
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "amountCollected": 123,
      "amountCredited": 123,
      "amountRequested": 123,
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "availableActions": [
        "<string>"
      ],
      "billingInfo": {
        "auditInfo": {
          "createBy": "<string>",
          "createDate": "2023-11-07T05:31:56Z",
          "updateBy": "<string>",
          "updateDate": "2023-11-07T05:31:56Z"
        },
        "billingContact": {
          "address": {
            "address1": "<string>",
            "address2": "<string>",
            "address3": "<string>",
            "address4": "<string>",
            "addressType": "<string>",
            "cityOrTown": "<string>",
            "countryCode": "<string>",
            "isValidated": true,
            "postalOrZipCode": "<string>",
            "stateOrProvince": "<string>"
          },
          "companyOrOrganization": "<string>",
          "email": "<string>",
          "firstName": "<string>",
          "id": 123,
          "lastNameOrSurname": "<string>",
          "middleNameOrInitial": "<string>",
          "phoneNumbers": {
            "home": "<string>",
            "mobile": "<string>",
            "work": "<string>"
          }
        },
        "card": {
          "bin": "<string>",
          "cardNumberPartOrMask": "<string>",
          "expireMonth": 123,
          "expireYear": 123,
          "paymentOrCardType": "<string>",
          "ccLastFour": "<string>",
          "isCardInfoSaved": true,
          "isTokenized": true,
          "isUsedRecurring": true,
          "nameOnCard": "<string>",
          "paymentServiceCardId": "<string>"
        },
        "check": {
          "checkNumber": "<string>"
        },
        "customCreditType": "<string>",
        "data": {},
        "externalTransactionId": "<string>",
        "isRecurring": true,
        "isSameBillingShippingAddress": true,
        "paymentType": "<string>",
        "paymentWorkflow": "<string>",
        "purchaseOrder": {
          "customFields": [
            {
              "code": "<string>",
              "label": "<string>",
              "value": "<string>"
            }
          ],
          "paymentTerm": {
            "code": "<string>",
            "description": "<string>"
          },
          "purchaseOrderNumber": "<string>"
        },
        "recurringTransactionId": "<string>",
        "storeCreditCode": "<string>",
        "storeCreditType": "<string>",
        "token": {
          "paymentServiceTokenId": "<string>",
          "type": "<string>"
        }
      },
      "changeMessages": [
        {
          "amount": 123,
          "appId": "<string>",
          "appKey": "<string>",
          "appName": "<string>",
          "attributes": {},
          "correlationId": "<string>",
          "createDate": "2023-11-07T05:31:56Z",
          "id": "<string>",
          "identifier": "<string>",
          "message": "<string>",
          "metadata": "<unknown>",
          "newValue": "<string>",
          "oldValue": "<string>",
          "subject": "<string>",
          "subjectType": "<string>",
          "success": true,
          "userFirstName": "<string>",
          "userId": "<string>",
          "userLastName": "<string>",
          "userScopeType": "<string>",
          "verb": "<string>"
        }
      ],
      "data": {},
      "externalTransactionId": "<string>",
      "gatewayGiftCard": {
        "amount": 123,
        "cardNumber": "<string>",
        "cardPin": "<string>",
        "currencyCode": "<string>",
        "id": "<string>"
      },
      "groupId": {
        "targetId": "<string>",
        "targetNumber": 123,
        "targetType": "<string>"
      },
      "id": "<string>",
      "installmentPlanCode": "<string>",
      "interactions": [
        {
          "amount": 123,
          "auditInfo": {
            "createBy": "<string>",
            "createDate": "2023-11-07T05:31:56Z",
            "updateBy": "<string>",
            "updateDate": "2023-11-07T05:31:56Z"
          },
          "capturableShipmentsSummary": [
            {
              "amountApplied": 123,
              "shipmentNumber": 123,
              "shipmentTotal": 123
            }
          ],
          "checkNumber": "<string>",
          "currencyCode": "<string>",
          "gatewayAVSCodes": "<string>",
          "gatewayAuthCode": "<string>",
          "gatewayCVV2Codes": "<string>",
          "gatewayInteractionId": 123,
          "gatewayResponseCode": "<string>",
          "gatewayResponseData": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ],
          "gatewayResponseText": "<string>",
          "gatewayTransactionId": "<string>",
          "id": "<string>",
          "interactionDate": "2023-11-07T05:31:56Z",
          "interactionType": "<string>",
          "isManual": true,
          "isPending": true,
          "isRecurring": true,
          "note": "<string>",
          "orderId": "<string>",
          "paymentEntryStatus": "<string>",
          "paymentId": "<string>",
          "paymentTransactionInteractionIdReference": 123,
          "refundId": "<string>",
          "returnId": "<string>",
          "status": "<string>",
          "target": {
            "targetId": "<string>",
            "targetNumber": 123,
            "targetType": "<string>"
          }
        }
      ],
      "isRecurring": true,
      "orderId": "<string>",
      "paymentServiceTransactionId": "<string>",
      "paymentType": "<string>",
      "paymentWorkflow": "<string>",
      "status": "<string>",
      "subPayments": [
        {
          "amountCollected": 123,
          "amountCredited": 123,
          "amountRefunded": 123,
          "amountRequested": 123,
          "status": "<string>",
          "target": {
            "targetId": "<string>",
            "targetNumber": 123,
            "targetType": "<string>"
          }
        }
      ]
    }
  ],
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

orderId
string
required

Unique identifier of the order whose payment transactions you want to get.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

A collection of payment transactions.

items
object[] | null
totalCount
integer<int32>